Name:             irsim
Version:          9.7.96
Release:          1%{?dist}
Summary:          Switch-level simulator used even for VLSI

License:          GPLv2
Group:            Applications/Engineering
URL:              http://opencircuitdesign.com/%{name}
Source0:          http://opencircuitdesign.com/%{name}/archive/%{name}-%{version}.tgz
BuildRequires:    tk-devel m4 libXt-devel

%description
IRSIM is a tool for simulating digital circuits. It is a "switch-level"
simulator; that is, it treats transistors as ideal switches. Extracted
capacitance and lumped resistance values are used to make the switch a little
bit more realistic than the ideal, using the RC time constants to predict the
relative timing of events.

%prep
%setup -q

%build
# ./configure kills CFLAGS
# Invoke scripts/configure directly
(cd scripts && %configure)
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
mv %{buildroot}%{_libdir}/%{name}/doc/*.doc doc/
rm -rf %{buildroot}%{_libdir}/%{name}/doc/


%files
%doc COPYRIGHT README VERSION doc/
%{_bindir}/*
%{_libdir}/*
%{_mandir}/man1/%{name}*
%{_mandir}/man5/netchange.5.gz
%{_mandir}/man3/%{name}-analyzer.3.gz


%Changelog
* Mon Aug 07 2017 Filipe Rosset <rosset.filipe@gmail.com> - 9.7.96-1
- Rebuilt for new upstream release 9.7.96, fixes RHBZ#1428358

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 9.7.95-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 9.7.95-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 9.7.95-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Nov 05 2016 Filipe Rosset <rosset.filipe@gmail.com> - 9.7.95-1
- Rebuilt for new upstream release 9.7.95, fixes RHBZ#1377004

* Tue Sep 13 2016 Filipe Rosset <rosset.filipe@gmail.com> - 9.7.94-1
- Rebuilt for new upstream release 9.7.94, fixes RHBZ#1359441

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 9.7.92-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jul 20 2015 Filipe Rosset <rosset.filipe@gmail.com> - 9.7.92-1
- Rebuilt for new upstream release 9.7.92

* Thu Jul 16 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 9.7.87-4
- Use scripts/configure instead of configure (Fix F23FTBFS, RHBZ#1239581).

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9.7.87-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 09 2014 Filipe Rosset <rosset.filipe@gmail.com> - 9.7.87-1
- Rebuilt for new upstream release 9.7.87 + fix FTBFS, spec cleanup, fixes rhbz #1037137

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9.7.68-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 15 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 9.7.68-1
- new upstream release 9.7.68

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 9.7.50-1
- mass rebuild for fedora 8 - BuildID
- New upstream release

* Tue Apr 24 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 9.7.47-1
- new upstream release 9.7.47

* Thu Feb 22 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 9.7.45-1
- new upstream release 9.7.45

* Mon Feb 05 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 9.7.41-5
- fixed for other binaries - genspktbl, gentbl

* Mon Feb 05 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 9.7.41-4
- dropped patch0 which was used to test analyzer's status
- added README.fedora and screenshots to explain the white-on-white output on analyser

* Mon Feb 05 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 9.7.41-3.1
- Rewrite

* Fri Feb 02 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 9.7.41-3
- Rebuild

* Thu Feb 01 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 9.7.41-2.1
- Once create a directory and expand the source there
  so that all files expanded are removed correctly
- Another way to treat CFLAGS
- Keep timestamps

* Thu Feb 01 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 9.7.41-2
- fix for CFLAGS

* Tue Jan 31 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 9.7.41-1
- Initial package.
